/*
    This file is part of the KDE project.
    Copyright (c) 2006-2007 Friedrich W. H. Kossebau <kossebau@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301  USA
*/


// lib specific
#include "listpropertyactionservice.h"


namespace Khalkhi {

ListPropertyActionService::ListPropertyActionService( QObject* Parent, const char* Name,
                                                      const QStringList& Arguments )
 : PropertyActionService( Parent, Name, Arguments )
{}


bool ListPropertyActionService::isAvailableFor( const KABC::AddresseeList& PersonList ) const
{
    return supports( PersonList ) && isAvailable();
}


bool ListPropertyActionService::supports( const KABC::AddresseeList& /*PersonList*/ ) const
{
    return true;
}


void ListPropertyActionService::registerClient( ListPropertyActionServiceClient* /*Client*/ )
{
}

void ListPropertyActionService::unregisterClient( ListPropertyActionServiceClient* /*Client*/ )
{
}

ListPropertyActionService::~ListPropertyActionService() {}

}

#include "listpropertyactionservice.moc"
