/*
    This file is part of the KDE project.
    Copyright (c) 2006 Friedrich W. H. Kossebau <kossebau@kde.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License version 2 as published by the Free Software Foundation.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301  USA
*/


// kde specific
#include <kabc/addressee.h>
// property specific
#include "birthdaypropertyitemadapter.h"
#include "birthdaypropertyadapter.h"


BirthdayPropertyAdapter::BirthdayPropertyAdapter( QObject* Parent, const char* Name, const QStringList& Arguments )
: PropertyAdapter( Parent, Name, Arguments )
{
}

int BirthdayPropertyAdapter::numberOfItems( const KABC::Addressee &Person ) const 
{
    return Person.birthday().date().isValid() ? 1 : 0;
}


PropertyItem BirthdayPropertyAdapter::propertyItemOf( const KABC::Addressee &Person, int /*ItemIndex*/ ) const
{
  return new BirthdayPropertyItemAdapter( Person.birthday().date() );
}

BirthdayPropertyAdapter::~BirthdayPropertyAdapter() {}


// kde specific
#include <kgenericfactory.h>

typedef K_TYPELIST_1( BirthdayPropertyAdapter ) Product;
K_EXPORT_COMPONENT_FACTORY( khalkhiproperty_birthday, KGenericFactory<Product>("khalkhiproperty_birthday") )
